## wxglade 0.3.5.1

=== Makefile ===
DESTDIR=

PACKAGE=python2.3-wxglade

all: debian/wxglade.1

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	find . -name "*~" -exec rm -f {} \;

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc --nonet

debian/wxglade.1: debian/manpage.xml
	cd debian && $(XP) $(DB2MAN) manpage.xml

install: all install-doc
	cp -a *.py codegen edit_sizers res widgets \
	  $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade
	# fix one executable flag
	chmod a+x $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade/configUI.py
	cp -a icons $(DESTDIR)/usr/share/$(PACKAGE)
	# get rid of .xvpics subdirectories and .cvsignore files
	find $(DESTDIR)/usr/share/$(PACKAGE) -name '.xvpics' -type d -exec rm -r {} \;
	find $(DESTDIR) -name '.cvsignore' -type f -exec rm {} \;
	ln -s /usr/share/$(PACKAGE)/icons \
	  $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade
	install -m 755 wxglade $(DESTDIR)/usr/bin
install-doc: debian/wxglade.1
	gzip -c9 debian/wxglade.1 > $(DESTDIR)/usr/share/man/man1/wxglade.1.gz
	cp -a docs $(DESTDIR)/usr/share/doc/$(PACKAGE)/

## wxglade 0.3.5.cvs20050824

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,13 @@
 install: all install-doc
 	cp -a *.py codegen edit_sizers res widgets \
 	  $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade
-	# fix one executable flag
-	chmod a+x $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade/configUI.py
+	# fix executable flags
+	for f in configUI.py zwxglade.py; do \
+	  chmod 755 $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade/$$f; \
+	done
+	for f in edit_widget.py config.py; do \
+	  chmod 644 $(DESTDIR)/usr/lib/python2.3/site-packages/wxglade/$$f; \
+	done
 	cp -a icons $(DESTDIR)/usr/share/$(PACKAGE)
 	# get rid of .xvpics subdirectories and .cvsignore files
 	find $(DESTDIR)/usr/share/$(PACKAGE) -name '.xvpics' -type d -exec rm -r {} \;

## wxglade 0.6.3+rel

=== Makefile ===
DESTDIR=

PACKAGE=python-wxglade
PYVER=2.3

all: debian/wxglade.1

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	find . -name "*~" -exec rm -f {} \;

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc --nonet

debian/wxglade.1: debian/manpage.xml
	cd debian && $(XP) $(DB2MAN) manpage.xml

install: all install-doc
	cp -a *.py codegen edit_sizers res widgets \
	  $(DESTDIR)/usr/lib/python$(PYVER)/site-packages/wxglade
	# fix executable flags
	for f in configUI.py zwxglade.py; do \
	  chmod 755 $(DESTDIR)/usr/lib/python$(PYVER)/site-packages/wxglade/$$f; \
	done
	for f in edit_widget.py config.py; do \
	  chmod 644 $(DESTDIR)/usr/lib/python$(PYVER)/site-packages/wxglade/$$f; \
	done
	cp -a icons $(DESTDIR)/usr/share/$(PACKAGE)
	# get rid of .xvpics subdirectories and .cvsignore files
	find $(DESTDIR)/usr/share/$(PACKAGE) -name '.xvpics' -type d | xargs rm -rf 
	find $(DESTDIR) -name '.cvsignore' -type f | xargs rm -f
	ln -s /usr/share/$(PACKAGE)/icons \
	  $(DESTDIR)/usr/lib/python$(PYVER)/site-packages/wxglade
	install -m 755 wxglade $(DESTDIR)/usr/bin
install-doc: debian/wxglade.1
	gzip -c9 debian/wxglade.1 > $(DESTDIR)/usr/share/man/man1/wxglade.1.gz
	cp -a docs $(DESTDIR)/usr/share/doc/$(PACKAGE)/

=== docs/Makefile ===
all: pdf html

BITMAPS=src/main_window.png src/tree_window.png

pdf: src/manual.xml $(BITMAPS)
	xmlto pdf -o pdf src/manual.xml

html: src/manual.xml $(BITMAPS)
	cp src/*.png html/
	xmlto xhtml -o html src/manual.xml

clean:
	rm html/*.html
	rm html/*.png
	rm pdf/manual.pdf

=== debian/changelog ===
wxglade (0.6.3+rel-4) unstable; urgency=low

  * added a desktop file for Gnome. Closes: #594137

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 24 Aug 2010 02:23:34 +0200

wxglade (0.6.3+rel-3) unstable; urgency=low

  * added a file debian/menu and a pixmap to have an entry in KDE/Debian 
    menus. Closes: #588359

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 15:52:58 +0200

wxglade (0.6.3+rel-2) unstable; urgency=low

  * upgraded Standards-Version to 3.9.1
  * added a dependency on docbook-xsl dblatex and xmlto
  * modified the Makefile to use docbook-xsl's files. Closes: #590423

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 08 Aug 2010 18:16:50 +0200

wxglade (0.6.3+rel-1) unstable; urgency=low

  * got the newest version from upstream, which had changed a little
  * repackaged wxglade with the new quilt-based system
  * created a file setup.py to build the application
  * changed the charset=CHARSET stance in de.po and fr.po to use UTF-8 instead
  * made wx-glade useable with python 2.6, by declaring "XS-Python-Version: all"
    Closes: #587692
  * fixed a typo in main.py which prevented the access to documentations.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 03 Jul 2010 03:30:30 +0200

wxglade (0.6.3-2) unstable; urgency=low

  * upgraded lintian and fixed the newly reported errors: 
    standards-version, etc.
  * modified the path to html documents in main.py
    Closes: #533547
  * added a dependency over xmltex, and some lines to generate the PDF 
    documents.
    Closes: #552784
  * the dependency upon python-wxgtk is now 
    python-wxgtk2.8|python-wxgtk2.6
    Closes: #501710
  * The crash of wxglade when creating a wxFrame does no more 
    occur with the version 0.6.3-2 of this package (bug not 
    reproducible)
    Closes: #537452

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Oct 2009 16:06:10 +0100

wxglade (0.6.3-1) unstable; urgency=low

  * upgraded standards-version (now 3.8.0)
  * added an invokation of dh_desktop from debian/rules
  * as the build system should correctly manage the man page, thus
    Closes: #475661

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 Jul 2008 21:11:32 +0200

wxglade (0.6.3-0.1) unstable; urgency=low

  * NMU
  * New upstream version. Closes: #468874.
  * Don't hardcode location of the shared python files. Closes: #472037.
  * debian/rules (clean): Remove debian/files, as shipped by upstream.
    Closes: #451061.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2008 17:28:59 +0100

wxglade (0.6.1-2) unstable; urgency=low

  * Added a .desktop file and two pixmaps
    Closes: #454154.
  * The starter script checks no more the current python version
    Closes: #348871

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 09 Dec 2007 19:54:26 +0100

wxglade (0.6.1-1) unstable; urgency=low

  * upgraded to the new upstream version
  * erased the .mo files in the source tree
  * added the installation of .mo files by the Makefile

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Nov 2007 16:31:54 +0100

wxglade (0.5-1) unstable; urgency=low

  * Upgraded to the new upstream version
    Closes: #422710.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 08 May 2007 19:48:06 +0200

wxglade (0.4.1-3) unstable; urgency=low

  * cleaned thouroughly Makefile. Increased the compatibility with new 
    policies. Fixed the wrong symlink to the images.
    Closes: #386049.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 15 Sep 2006 19:10:10 +0200

wxglade (0.4.1-2) unstable; urgency=low

  * Remove hard-code dependency on a python version in bin/wxglade.
    Closes: #384096.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2006 23:52:38 +0000

wxglade (0.4.1-1) unstable; urgency=low

  * New upstream version (as released on sf). Closes: #327851, #340999.
  * Convert to updated Python policy. Closes: #373409.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Jun 2006 02:00:06 +0200

wxglade (0.4.1) unstable; urgency=low

  * added a Conflicts: against libwxgtk2.4-python, thanks to  Andrea Brenci
    <andrea.brenci@libero.it>
  * added a menu file, thanks to Basil Shubin <bashu@yandex.ru>
    Closes #335945, #335945

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 Nov 2005 18:37:36 +0100

wxglade (0.4) unstable; urgency=low

  * new upstream version
  * fixed one bug about destroying the .xvpics dirs

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 27 Oct 2005 17:19:56 +0200

wxglade (0.3.5.cvs20050824-0.1) unstable; urgency=low

  * Sponsored upload.
  * renamed the package to python-wxglade. the python-wxgtk packages
    don't have a version schema as well, so it doesn't make sense with
    wxglade as well.
  * Depend on python-wxgtk2.6 | python-wxgtk. These are the new names,
    and you have at least to depend on a real package.
  * Build-depend on python (needed for dh_python).
  * Repackage as a .orig.tar.gz package.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2005 07:29:15 +0000

wxglade (0.3.5.cvs20050823) unstable; urgency=low

  * upgraded to last CVS version 
  * updated the dependancies
  * fixed some executable flags

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Aug 2005 10:59:39 +0200

wxglade (0.3.5.cvs20041101-1) unstable; urgency=low

  * upgraded to last CVS version

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon,  1 Nov 2004 16:40:31 +0100

wxglade (0.3.4-1) unstable; urgency=low

  * Initial Release.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon, 25 Oct 2004 14:09:48 +0200

wxglade (0.4.1.cvs20060221) unstable; urgency=low

  * Sponsored upload.
  * Upgraded to last upstream version
  * Updated the version number to Alberto Griggio's announcement.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 21 Feb 2006 17:10:35 +0100

wxglade (0.3.5.cvs20060131-0.1) unstable; urgency=low

  * Sponsored upload.
  * synchronised to the CVS.
    Closes #340999, #327851
  * no problem with the menu bars upon testing, so probably ...
    Closes #341762


=== debian/control ===
Source: wxglade
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support
Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
XS-Python-Version: all
Standards-Version: 3.9.1

Package: python-wxglade
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8|python-wxgtk2.6(>= 2.6.3.2.1.1)
Conflicts:  libwxgtk2.4-python
XB-Python-Version: ${python:Versions}
Description:  GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++ and XRC (wxWidgets' XML resources)
 code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = debian/python-wxglade

%:
	dh $@ 

override_dh_pysupport:
	dh_pysupport
	mkdir -p $(DESTDIR)/usr/share/doc/python-wxglade
	mv $(DESTDIR)/usr/share/pyshared/wxglade/docs/* $(DESTDIR)/usr/share/doc/python-wxglade

override_dh_installman:
	dh_installman wxglade.1

## wxglade 0.6.4

=== Makefile ===
# Makefile for SMM
#
# License: MIT (see license.txt)
# THIS PROGRAM COMES WITH NO WARRANTY

DESTDIR           = 

# Makefile defaults
SHELL             = /bin/sh
INSTALL           = install
INSTALL_PROGRAM   = ${INSTALL}
INSTALL_DATA      = ${INSTALL} -m 644
PACKAGE           = python-wxglade
prefix            = $(DESTDIR)/usr/local
exec_prefix       = $(DESTDIR)/usr/local
bindir            = $(exec_prefix)/bin
datarootdir       = $(prefix)/share
datadir           = $(datarootdir)
docdir            = $(datarootdir)/doc/$(PACKAGE)
mandir            = $(datarootdir)/man
man1dir           = $(mandir)/man1
PYVER             = 2.3

BASE_DIR          = .
BIN_FILES         = wxglade.py configUI.py
BUILD_DIR         = $(BASE_DIR)/build
BDIST_DIR         = $(BASE_DIR)/bdist
DOC_DIR           = $(BASE_DIR)/docs
DIST_DIR          = $(BASE_DIR)/dist
CHECK_FILES       = $(wildcard $(BASE_DIR)/*.py) \
                    $(shell find $(SOURCE_DIRS) -name "*.py")
EPYDOC_BIN        = epydoc
EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
EPYDOC_OPTS       = --config
APIDOC_DIR        = $(BASE_DIR)/docs/apidocs
SOURCE_DIRS       = codegen edit_sizers widgets install 
SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
PYLINT_BIN        = pylint
PYLINT_OPTS       = --additional-builtins=_ --disable=C \
                    '--dummy-variables=_|dummy|event|empty|unused' \
                    --include-ids=y --reports=n
PYTHON_BIN        = python
DB2MAN            = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP                = xsltproc --nonet

MANUAL_HTML_DIR   = $(DOC_DIR)/html
MANUAL_PDF_DIR    = $(DOC_DIR)/pdf
MANUAL_SRC_DIR    = $(DOC_DIR)/src
MANUAL_XML        = $(MANUAL_SRC_DIR)/manual.xml
MANUAL_PICS       = $(wildcard $($(MANUAL_SRC_DIR)/*.png))
MANUAL_PDF        = $(MANUAL_PDF_DIR)/manual.pdf
MANUAL_HTML       = $(MANUAL_HTML_DIR)/index.html

HELP= @grep -B1 '^[a-zA-Z\-]*:' Makefile |\
         awk 'function p(h,t){printf"%-12s=%s\n",h,t;};\
         /\#+/{t=$$0;};\
         /:/{gsub(":.*","");h=$$0};\
         /^--/{p(h,t);t=h="";};\
         END{p(h,t)}' |\
         sed -n 's/=.*\#+/:/gp'

.PHONY: help clean distclean compile apidoc pylint permissions man doc \
        pdf html doc-clean release rel-binary rel-source install

# Rule to compile a single Python file
%.pyc: %.py
	@echo "Compile $< ..."
	@$(PYTHON_BIN) -c "import py_compile; py_compile.compile('$<')"

#+ Show this text
help:
	$(HELP)

#+ Clean python compiler files and automatic generated documentation
clean:
	@echo "Remove all automatically generated files ..."
	@find $(BASE_DIR) -depth -type f -name "*.pyc" -exec rm -f {} \;
	@find $(BASE_DIR) -depth -type f -name "*.pyo" -exec rm -f {} \;
	@if [ -e $(BUILD_DIR) ]; then rm -rf $(BUILD_DIR); fi
	@if [ -e $(BDIST_DIR) ]; then rm -rf $(BDIST_DIR); fi
	@if [ -e $(DIST_DIR) ]; then rm -rf $(DIST_DIR); fi
	@if [ -e $(APIDOC_DIR) ]; then rm -rf $(APIDOC_DIR); fi
	@find $(BASE_DIR) -depth -type f -name "*.orig" -exec rm -f {} \;
	@find $(BASE_DIR) -depth -type f -name "*~" -exec rm -f {} \;
	@$(RM) logdict*.log
	@$(RM) warnwxglade.txt
	@$(RM) MANIFEST

#+ Remove all automatically generated and development files
distclean: clean
	@echo "Remove development files ..."
	@$(RM) .hgtags .hgignore

#+ Compile all python files
compile: $(BYTECODE_FILES)

# Create the documentation
$(APIDOC_DIR)/index.html: $(SOURCE_FILES) $(EPYDOC_CONFIG)
	@echo "Create documentation from source ..."
	@$(EPYDOC_BIN) $(EPYDOC_OPTS) $(EPYDOC_CONFIG)

#+ Create documentation from source files
apidoc: $(APIDOC_DIR)/index.html

#+ Check all source files for logical errors using pylint
pylint:
	$(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true

#+ Set proper permissions for all files and directories
permissions:
	@echo "Set permissions for all files ..."
	@find $(BASE_DIR) -type d -exec chmod 755 {} \;
	@find $(BASE_DIR) -type f -exec chmod 644 {} \;
	@chmod 755 $(BIN_FILES)

# Create the manpage
$(DOC_DIR)/man/wxglade.1: $(DOC_DIR)/man/manpage.xml
	$(XP) --output $@ $(DB2MAN) $<

#+ Create manpage from source files
man: $(DOC_DIR)/man/wxglade.1

#+ Create documentation from source files
doc: pdf html

# Create PDF documentation
$(MANUAL_PDF): $(MANUAL_XML) $(MANUAL_PICS)
	xmlto --with-dblatex -o $(MANUAL_PDF_DIR) pdf $(MANUAL_XML)

#+ Create PDF document based on manual xml file
pdf: $(MANUAL_PDF)

# Create HTML documentation
$(MANUAL_HTML): $(MANUAL_XML) $(MANUAL_PICS)
	$(INSTALL_DATA) -t $(MANUAL_HTML_DIR) $(MANUAL_SRC_DIR)/*.png
	xmlto -o $(MANUAL_HTML_DIR) html $(MANUAL_XML)

#+ Create a set of HTML documents based on manual xml file
html: $(MANUAL_HTML)

#+ Cleanup all automatically generated manuals (if you really know what you do)
doc-clean:
	$(RM) $(MANUAL_HTML_DIR)/*.html
	$(RM) $(MANUAL_HTML_DIR)/*.png
	$(RM) $(MANUAL_PDF)

#+ Create official release packages
release: rel-source rel-binary

#+ Create Unix binary packages
rel-binary: man pdf
	@echo "Creating Unix release packages ..."
	@$(RM) MANIFEST
	$(PYTHON_BIN) setup.py bdist --format=zip
	@$(RM) MANIFEST

#+ Create Unix source release packages
rel-source: man pdf
	@echo "Creating source packages ..."
	@$(RM) MANIFEST
	$(PYTHON_BIN) setup.py sdist --formats=gztar,zip
	@$(RM) MANIFEST

#+ Install wxGlade locally at $(prefix)
install: man pdf setup.py
	@echo "Install wxGlade locally at $(prefix) ..."
	$(PYTHON_BIN) setup.py install --prefix $(prefix)
	gzip -9 $(man1dir)/wxglade.1

=== debian/changelog ===
wxglade (0.6.4-2) unstable; urgency=low

  * restored the menu file and the icon. Closes: #653389
  * restored the desktop file.
  * added --with python2 as an option for dh $@

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 27 Dec 2011 18:52:50 +0100

wxglade (0.6.4-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Dec 2011 19:01:36 +0100

wxglade (0.6.3+rel-5) unstable; urgency=low

  * removed the alternative dependency on python-wxgtk2.6. Closes:#647734
  * upgraded Standards-Version

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 05 Nov 2011 19:31:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper (>= 7.0.50~), python-support
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: python-wxglade
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8|python-wxgtk2.6(>= 2.6.3.2.1.1)
+Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8
 Conflicts:  libwxgtk2.4-python
 XB-Python-Version: ${python:Versions}
 Description:  GUI designer written in Python with wxPython

=== debian/watch ===
version=3

http://sf.net/wxglade/wxglade.([\d\.]*)\.tar\.gz

## wxglade 0.6.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for SMM
+# Makefile for wxGlade
 #
 # License: MIT (see license.txt)
 # THIS PROGRAM COMES WITH NO WARRANTY
@@ -22,7 +22,7 @@
 PYVER             = 2.3
 
 BASE_DIR          = .
-BIN_FILES         = wxglade.py configUI.py
+BIN_FILES         = wxglade
 BUILD_DIR         = $(BASE_DIR)/build
 BDIST_DIR         = $(BASE_DIR)/bdist
 DOC_DIR           = $(BASE_DIR)/docs
@@ -33,12 +33,16 @@
 EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
 EPYDOC_OPTS       = --config
 APIDOC_DIR        = $(BASE_DIR)/docs/apidocs
-SOURCE_DIRS       = codegen edit_sizers widgets install 
+SOURCE_DIRS       = codegen edit_sizers widgets install tests
 SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
+TEST_BIN          = $(BASE_DIR)/test.py
 PYLINT_BIN        = pylint
 PYLINT_OPTS       = --additional-builtins=_ --disable=C \
-                    '--dummy-variables=_|dummy|event|empty|unused' \
+                    '--dummy-variables=_|dummy|event|empty|unused|i' \
+                    --disable=W0105,W0212,W0401,W0403,W0614 \
+                    --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
                     --include-ids=y --reports=n
+PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
 PYTHON_BIN        = python
 DB2MAN            = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP                = xsltproc --nonet
@@ -60,7 +64,8 @@
          sed -n 's/=.*\#+/:/gp'
 
 .PHONY: help clean distclean compile apidoc pylint permissions man doc \
-        pdf html doc-clean release rel-binary rel-source install
+        pdf html doc-clean release rel-binary rel-source install \
+        maintainer-clean test
 
 # Rule to compile a single Python file
 %.pyc: %.py
@@ -70,6 +75,10 @@
 #+ Show this text
 help:
 	$(HELP)
+
+#+ Run test package
+test:
+	@$(TEST_BIN)
 
 #+ Clean python compiler files and automatic generated documentation
 clean:
@@ -91,6 +100,11 @@
 	@echo "Remove development files ..."
 	@$(RM) .hgtags .hgignore
 
+#+ Remove almost everything that can bee reconstructed with this Makefile
+maintainer-clean: distclean doc-clean
+	@echo "This command is intended for maintainers to use; it"
+	@echo 'deletes files that may need special tools to rebuild."
+
 #+ Compile all python files
 compile: $(BYTECODE_FILES)
 
@@ -104,7 +118,7 @@
 
 #+ Check all source files for logical errors using pylint
 pylint:
-	$(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true
+	PYTHONPATH=$(PYLINT_PATH) $(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true
 
 #+ Set proper permissions for all files and directories
 permissions:

=== debian/changelog ===
wxglade (0.6.5-2) unstable; urgency=low

  * added a build-dependency on python-wxgtk2.8 which is necessary to
    run tests during the package build. Closes: #663567
  * bumped Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 11 Apr 2012 17:19:20 +0000

wxglade (0.6.5-1) unstable; urgency=low

  * upgraded to the newest version
  * removed some debian patches, then made patches for the launcher and
    for the location of the help file, and legal stuff.
  * rewritten pat of debian/copyright to update it.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 16 Jan 2012 01:13:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support
+Build-Depends: debhelper (>= 7.0.50~), python-support, python-wxgtk2.8
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: python-wxglade
 Architecture: all

## wxglade 0.6.7

=== debian/changelog ===
wxglade (0.6.7-2) unstable; urgency=low

  * fixed a set of ugly bugs, thanks to Carsten Grohmann

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 May 2013 23:32:20 +0200

wxglade (0.6.7-1) unstable; urgency=low

  * upgraded to the newest release
  * changed my DebEmail
  * updated Standards-Version, compat, debhelper build-dependency

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Apr 2013 17:35:44 +0200

## wxglade 0.6.8

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 BDIST_DIR         = $(BASE_DIR)/bdist
 DOC_DIR           = $(BASE_DIR)/docs
 DIST_DIR          = $(BASE_DIR)/dist
-CHECK_FILES       = $(wildcard $(BASE_DIR)/*.py) \
-                    $(shell find $(SOURCE_DIRS) -name "*.py")
+CHECK_FILES       = $(filter-out $(BASE_DIR)/test.py, $(wildcard $(BASE_DIR)/*.py)) \
+                    $(filter-out tests/%.py, $(shell find $(SOURCE_DIRS) -name "*.py"))
 EPYDOC_BIN        = epydoc
 EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
 EPYDOC_OPTS       = --config
@@ -39,7 +39,7 @@
 PYLINT_BIN        = pylint
 PYLINT_OPTS       = --additional-builtins=_ --disable=C \
                     '--dummy-variables=_|dummy|event|empty|unused|i' \
-                    --disable=W0105,W0212,W0401,W0403,W0614 \
+                    --disable=W0105,W0201,W0212,W0401,W0403,W0614 \
                     --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
                     --include-ids=y --reports=n
 PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
@@ -53,7 +53,9 @@
 MANUAL_XML        = $(MANUAL_SRC_DIR)/manual.xml
 MANUAL_PICS       = $(wildcard $($(MANUAL_SRC_DIR)/*.png))
 MANUAL_PDF        = $(MANUAL_PDF_DIR)/manual.pdf
+MANUAL_PDF_XSL    = $(MANUAL_SRC_DIR)/pdf.xsl
 MANUAL_HTML       = $(MANUAL_HTML_DIR)/index.html
+MANUAL_HTML_XSL   = $(MANUAL_SRC_DIR)/html.xsl
 
 HELP= @grep -B1 '^[a-zA-Z\-]*:' Makefile |\
          awk 'function p(h,t){printf"%-12s=%s\n",h,t;};\
@@ -76,9 +78,16 @@
 help:
 	$(HELP)
 
-#+ Run test package
-test:
+#+ Run all test package
+test: test-nongui test-gui
+
+#+ Run all non-GUI test package
+test-nongui:
 	@$(TEST_BIN)
+
+#+ Run all GUI test package
+test-gui:
+	@$(TEST_BIN) --gui
 
 #+ Clean python compiler files and automatic generated documentation
 clean:
@@ -139,7 +148,7 @@
 
 # Create PDF documentation
 $(MANUAL_PDF): $(MANUAL_XML) $(MANUAL_PICS)
-	xmlto --with-dblatex -o $(MANUAL_PDF_DIR) pdf $(MANUAL_XML)
+	dblatex -p $(MANUAL_PDF_XSL) -o $(MANUAL_PDF_DIR)/manual.pdf $(MANUAL_XML)
 
 #+ Create PDF document based on manual xml file
 pdf: $(MANUAL_PDF)
@@ -147,7 +156,8 @@
 # Create HTML documentation
 $(MANUAL_HTML): $(MANUAL_XML) $(MANUAL_PICS)
 	$(INSTALL_DATA) -t $(MANUAL_HTML_DIR) $(MANUAL_SRC_DIR)/*.png
-	xmlto -o $(MANUAL_HTML_DIR) html $(MANUAL_XML)
+	xmlto -m $(MANUAL_HTML_XSL) -o $(MANUAL_HTML_DIR) html $(MANUAL_XML)
+	$(RM) $(MANUAL_HTML_DIR)/manual.proc
 
 #+ Create a set of HTML documents based on manual xml file
 html: $(MANUAL_HTML)

=== debian/changelog ===
wxglade (0.6.8-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * removed two obsoleted patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2013 23:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: wxglade
 Section: python
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python-wxgtk2.8
+Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk2.8
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: python-wxglade
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 DESTDIR = debian/python-wxglade
 
 %:
-	dh $@ 
+	dh $@ --with python2
 
-override_dh_pysupport:
-	dh_pysupport
-	mkdir -p $(DESTDIR)/usr/share/doc/python-wxglade
-	mv $(DESTDIR)/usr/share/pyshared/wxglade/docs/* $(DESTDIR)/usr/share/doc/python-wxglade
-
-override_dh_installman:
-	dh_installman wxglade.1
+override_dh_auto_install:
+	dh_auto_install
+	make install DESTDIR=$(DESTDIR)
+	install -d $(DESTDIR)/usr/share/pixmaps
+	install -m 644 icons/wxglade.xpm $(DESTDIR)/usr/share/pixmaps
+	install -d $(DESTDIR)/usr/share/applications
+	install -m 644 wxglade.desktop $(DESTDIR)/usr/share/applications

=== debian/watch ===
version=3

http://qa.debian.org/watch/sf.php/wxglade/wxGlade-([\d\.]*)\.tar\.gz

## wxglade 0.7.0

=== debian/changelog ===
wxglade (0.7.0-2) unstable; urgency=medium

  * Included Carsten Grohman's patches, sent by e-mail.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Oct 2014 15:01:41 +0100

wxglade (0.7.0-1) unstable; urgency=medium

  * upgraded to the new upstream release
  * inhibited dh_auto_test to prevent a failure due to fakeroot
  * removed the tests/ directory from the binary package

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Oct 2014 21:34:08 +0100

wxglade (0.6.8-3) unstable; urgency=medium

  * upgraded Standards-Version to 3.9.6
  * simplified d/rules, created d/python-wxglade.install
  * modified common.py assigned icons_path to '/usr/share/wxglade/icons'
    Closes: #766743
  * modified setup.py, created d/python-wxglade.dirs to simplify d/rules
    further.
  * changed debian/patches to avoid multiple modifications of wxglade.py

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 Oct 2014 17:32:19 +0200

wxglade (0.6.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update for wxPython3.0:
    + debian/control: Update dependency to python-wxgtk3.0 (Closes: #758941)
    + New patch: 60-wxpython3.0.patch

 -- Olly Betts <olly@survex.com>  Mon, 13 Oct 2014 15:55:13 +1300

wxglade (0.6.8-2) unstable; urgency=medium

  * applied Carsten Grohman's patch. Closes: #758254; Closes: #758941
  * upgraded Standards-Version to 3.9.5
  * moved images files from usr/lib/python2.7/dist-packages/wxglade/icons/ to
    usr/share/wxglade/icons

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Sep 2014 14:22:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk2.8
+Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
 Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
 XS-Python-Version: all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: python-wxglade
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk2.8
+Depends: ${python:Depends}, ${misc:Depends}, python-wxgtk3.0
 Conflicts:  libwxgtk2.4-python
 XB-Python-Version: ${python:Versions}
 Description:  GUI designer written in Python with wxPython

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,11 @@
 %:
 	dh $@ --with python2
 
-override_dh_auto_install:
-	dh_auto_install
-	make install DESTDIR=$(DESTDIR)
-	install -d $(DESTDIR)/usr/share/pixmaps
-	install -m 644 icons/wxglade.xpm $(DESTDIR)/usr/share/pixmaps
-	install -d $(DESTDIR)/usr/share/applications
-	install -m 644 wxglade.desktop $(DESTDIR)/usr/share/applications
+override_dh_auto_test:
+	echo "not running the tests since the test tests/test_gui.py will fail"
+override_dh_install:
+	dh_install
+	#removes the test directory from the distributed package
+	find $(DESTDIR) -type d -name tests | xargs rm -rf
+	# removes wxglade.pyw
+	rm -f $(DESTDIR)/usr/bin/wxglade.pyw

## wxglade 0.7.1~rc1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # License: MIT (see license.txt)
 # THIS PROGRAM COMES WITH NO WARRANTY
 
-DESTDIR           = 
+DESTDIR           =
 
 # Makefile defaults
 SHELL             = /bin/sh
@@ -19,7 +19,6 @@
 docdir            = $(datarootdir)/doc/$(PACKAGE)
 mandir            = $(datarootdir)/man
 man1dir           = $(mandir)/man1
-PYVER             = 2.3
 
 BASE_DIR          = .
 BIN_FILES         = wxglade
@@ -27,24 +26,25 @@
 BDIST_DIR         = $(BASE_DIR)/bdist
 DOC_DIR           = $(BASE_DIR)/docs
 DIST_DIR          = $(BASE_DIR)/dist
+EGG_DIR           = $(BASE_DIR)/wxGlade.egg-info
 CHECK_FILES       = $(filter-out $(BASE_DIR)/test.py, $(wildcard $(BASE_DIR)/*.py)) \
                     $(filter-out tests/%.py, $(shell find $(SOURCE_DIRS) -name "*.py"))
 EPYDOC_BIN        = epydoc
 EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
-EPYDOC_OPTS       = --config
+EPYDOC_OPTS       = --config $(EPYDOC_CONFIG)
 APIDOC_DIR        = $(BASE_DIR)/docs/apidocs
-SOURCE_DIRS       = codegen edit_sizers widgets install tests
+SOURCE_DIRS       = codegen wcodegen edit_sizers widgets install tests
 SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
 TEST_BIN          = $(BASE_DIR)/test.py
-PYLINT_BIN        = pylint
+PYLINT_BIN        = pylint2
 PYLINT_OPTS       = --additional-builtins=_ --disable=C \
                     '--dummy-variables=_|dummy|event|empty|unused|i' \
                     --disable=W0105,W0201,W0212,W0401,W0403,W0614 \
                     --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
-                    --include-ids=y --reports=n
+                    --reports=n
 PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
-PYTHON_BIN        = python
-DB2MAN            = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
+PYTHON_BIN        = python2
+MANPAGE_XSL       = /usr/share/xml/docbook/xsl-stylesheets-1.78.1/manpages/docbook.xsl
 XP                = xsltproc --nonet
 
 MANUAL_HTML_DIR   = $(DOC_DIR)/html
@@ -79,7 +79,7 @@
 	$(HELP)
 
 #+ Run all test package
-test: test-nongui test-gui
+test: test-nongui test-gui test-compile
 
 #+ Run all non-GUI test package
 test-nongui:
@@ -88,6 +88,10 @@
 #+ Run all GUI test package
 test-gui:
 	@$(TEST_BIN) --gui
+
+#+ Run test to compile C++ files
+test-compile:
+	@$(TEST_BIN) --compile
 
 #+ Clean python compiler files and automatic generated documentation
 clean:
@@ -98,8 +102,10 @@
 	@if [ -e $(BDIST_DIR) ]; then rm -rf $(BDIST_DIR); fi
 	@if [ -e $(DIST_DIR) ]; then rm -rf $(DIST_DIR); fi
 	@if [ -e $(APIDOC_DIR) ]; then rm -rf $(APIDOC_DIR); fi
+	@if [ -e $(EGG_DIR) ]; then rm -rf $(EGG_DIR); fi
 	@find $(BASE_DIR) -depth -type f -name "*.orig" -exec rm -f {} \;
 	@find $(BASE_DIR) -depth -type f -name "*~" -exec rm -f {} \;
+	@find $(BASE_DIR) -depth -type f -name "#~wxg.autosave*" -exec rm -f {} \;
 	@$(RM) logdict*.log
 	@$(RM) warnwxglade.txt
 	@$(RM) MANIFEST
@@ -120,7 +126,7 @@
 # Create the documentation
 $(APIDOC_DIR)/index.html: $(SOURCE_FILES) $(EPYDOC_CONFIG)
 	@echo "Create documentation from source ..."
-	@$(EPYDOC_BIN) $(EPYDOC_OPTS) $(EPYDOC_CONFIG)
+	@$(EPYDOC_BIN) $(EPYDOC_OPTS)
 
 #+ Create documentation from source files
 apidoc: $(APIDOC_DIR)/index.html
@@ -138,7 +144,7 @@
 
 # Create the manpage
 $(DOC_DIR)/man/wxglade.1: $(DOC_DIR)/man/manpage.xml
-	$(XP) --output $@ $(DB2MAN) $<
+	$(XP) --output $@ $(MANPAGE_XSL) $<
 
 #+ Create manpage from source files
 man: $(DOC_DIR)/man/wxglade.1
@@ -172,17 +178,19 @@
 release: rel-source rel-binary
 
 #+ Create Unix binary packages
-rel-binary: man pdf
+rel-binary: clean man pdf
 	@echo "Creating Unix release packages ..."
 	@$(RM) MANIFEST
 	$(PYTHON_BIN) setup.py bdist --format=zip
+
 	@$(RM) MANIFEST
 
 #+ Create Unix source release packages
-rel-source: man pdf
+rel-source: clean man pdf
 	@echo "Creating source packages ..."
 	@$(RM) MANIFEST
 	$(PYTHON_BIN) setup.py sdist --formats=gztar,zip
+
 	@$(RM) MANIFEST
 
 #+ Install wxGlade locally at $(prefix)

=== debian/changelog ===
wxglade (0.7.1~rc1-3) unstable; urgency=medium

  * removed eggs' files which are harmful for a debian system.
    Closes: #801901

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 22 Oct 2015 23:12:13 +0200

wxglade (0.7.1~rc1-2) unstable; urgency=medium

  * added python-setuptools as a build-dependency, and removed the requirement
    for setuptools-hg in setup.py. Closes: #802115

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Oct 2015 19:45:58 +0200

wxglade (0.7.1~rc1-1) unstable; urgency=medium

  * upgraded to the new upstream version. Closes: #801570
  * adjusted patches, and packaging scripts

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 12 Oct 2015 19:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
-Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex
+Build-Depends-Indep: docbook, docbook-xsl, xsltproc, xmltex, xmlto, dblatex,
+ python-setuptools
 XS-Python-Version: all
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 #export DH_VERBOSE=1
 
 DESTDIR = debian/python-wxglade
+PYTHONPATH=$(CURDIR)/debian/python-wxglade/usr/lib/python2.7/site-packages
 
 %:
 	dh $@ --with python2
@@ -22,3 +23,18 @@
 	find $(DESTDIR) -type d -name tests | xargs rm -rf
 	# removes wxglade.pyw
 	rm -f $(DESTDIR)/usr/bin/wxglade.pyw
+
+PYTHONPATH  = $(DESTDIR)/usr/lib/python2.7/dist-packages
+SHAREDIR    = $(DESTDIR)/usr/share/doc/python-wxglade
+EGGSDOCDIR  = $(PYTHONPATH)/wxGlade-0.7.0-py2.7.egg/share
+
+override_dh_python2:
+	dh_python2
+	# move image files to usr/share
+	mv $(EGGSDOCDIR)/doc $(SHAREDIR)
+	ln -s /usr/share/wxglade/doc $(EGGSDOCDIR)
+	find $(SHAREDIR) -name "*.xml" | xargs chmod 644
+	# removes eggs stuff which are harmful inside Debian
+	rm -f $(PYTHONPATH)/site.py
+	rm -f $(PYTHONPATH)/easy-install.pth
+

## wxglade 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for wxGlade
 #
-# License: MIT (see license.txt)
+# License: MIT (see LICENSE.txt)
 # THIS PROGRAM COMES WITH NO WARRANTY
 
 DESTDIR           =
@@ -37,12 +37,11 @@
 SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
 TEST_BIN          = $(BASE_DIR)/test.py
 PYLINT_BIN        = pylint2
-PYLINT_OPTS       = --additional-builtins=_ --disable=C \
-                    '--dummy-variables=_|dummy|event|empty|unused|i' \
-                    --disable=W0105,W0201,W0212,W0401,W0403,W0614 \
-                    --disable=R0201,R0901,R0902,R0903,R0904,R0912,R0913,R0914,R0915 \
-                    --reports=n
+PYLINT_OPTS       = --rcfile ./pylintrc
 PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
+DIGGER_BIN        = clonedigger
+DIGGER_OUTFILE    = clonedigger.html
+DIGGER_OPTS       = --language python --output $(DIGGER_OUTFILE)
 PYTHON_BIN        = python2
 MANPAGE_XSL       = /usr/share/xml/docbook/xsl-stylesheets-1.78.1/manpages/docbook.xsl
 XP                = xsltproc --nonet
@@ -109,11 +108,12 @@
 	@$(RM) logdict*.log
 	@$(RM) warnwxglade.txt
 	@$(RM) MANIFEST
-
-#+ Remove all automatically generated and development files
+	@$(RM) $(DIGGER_OUTFILE)
+
+#+ Remove all automatically generated and Mercurial repository data
 distclean: clean
-	@echo "Remove development files ..."
-	@$(RM) .hgtags .hgignore
+	@echo "Remove Mercurial repository data (.hg*) ..."
+	@$(RM) .hgtags .hgignore version.py
 
 #+ Remove almost everything that can bee reconstructed with this Makefile
 maintainer-clean: distclean doc-clean
@@ -134,6 +134,10 @@
 #+ Check all source files for logical errors using pylint
 pylint:
 	PYTHONPATH=$(PYLINT_PATH) $(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true
+
+#+ Check all source files for dublicates
+digger:
+	$(DIGGER_BIN) $(DIGGER_OPTS) $(CHECK_FILES)
 
 #+ Set proper permissions for all files and directories
 permissions:

=== debian/changelog ===
wxglade (0.7.1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * removed build-dependencies: docbook, docbook-xsl, xsltproc, xmltex,
    xmlto, dblatex, since the manpage is not provided from upstream.
  * simplified a lot the packaging system: files Makefile and setup.py
    are no longer used
  * changed the name of the biary package python-wxglade => wxglade as
    it is built as a private python module
  * changed the section name to devel
  * Closes: 803017; made a manual test, which worked as expected.
  * Closes: #803045; made a manual test, which worked as expected.
  * Closes: #803138; made a manual test, which worked as expected.
  * Closes: #801968; made a manual test, which worked as expected.
  * Closes: #803698; this version gets rid of Egg files, and the version
    number is fixed by debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2016 21:58:42 +0100

=== debian/control ===
Source: wxglade
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
XS-Python-Version: all
Standards-Version: 3.9.6

Package: wxglade
Architecture: all
Depends: python, ${misc:Depends}, python-wxgtk3.0
Conflicts: python-wxglade ( << 0.7.1-1)
Replaces: python-wxglade
XB-Python-Version: ${python:Versions}
Description:  GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++ and XRC (wxWidgets' XML resources)
 code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/wxglade
VERSION = $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')

%:
	dh $@ --with python2

override_dh_auto_clean:
	# the installation is simplified drastically!
	rm -f Makefile setup.py version.py
	rm -rf wxGlade.egg-info .eggs
	dh_auto_clean

override_dh_auto_test:
	echo "not running the tests since the test tests/test_gui.py will fail"

override_dh_auto_install:
	echo "__version__ = '$(VERSION)'" > $(CURDIR)/version.py
	dh_auto_install

override_dh_fixperms:
	dh_fixperms
	rm -f $(DESTDIR)/usr/share/wxglade/LICENSE.txt
	ln -s ../doc/wxglade/copyright $(DESTDIR)/usr/share/wxglade/LICENSE.txt
	find $(DESTDIR)/usr/share/wxglade -type f | xargs chmod 644

## wxglade 0.7.2

=== debian/changelog ===
wxglade (0.7.2-2) unstable; urgency=medium

  * included Carsten Grohman's patch. Closes: #823050

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 03 May 2016 08:32:17 +0200

wxglade (0.7.2-1) unstable; urgency=medium

  * upgraded to the new upstream release; Closes: #802313

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Apr 2016 18:12:28 +0200

wxglade (0.7.1-2) unstable; urgency=medium

  * added Copyright (c) 2011-2016 Carsten Grohmann <mail@carsten-grohmann.de>
    in d/copyright
  * rewritten d/copyright to comply with the new format 1.0
  * added a notice about Perl and Lisp code generation in d/control

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Mar 2016 09:59:46 +0100

=== debian/control ===
--- 
+++ 
@@ -16,5 +16,5 @@
 Description:  GUI designer written in Python with wxPython
  wxGlade is a GUI designer written in Python with the popular GUI toolkit
  wxPython, that helps you create wxWidgets/wxPython user interfaces.
- At the moment it can generate Python, C++ and XRC (wxWidgets' XML resources)
- code.
+ At the moment it can generate Python, C++, Perl, Lisp and XRC
+ (wxWidgets' XML resources) code.

## wxglade 0.8.0~a8

=== debian/changelog ===
wxglade (0.8.0~a8-1) unstable; urgency=medium

  * modified slightly /usr/bin/wxglade, which Closes: #853000
  * upgraded to the upstream version 080a8, which Closes: #853009
    and Closes: #875554
  * upgraded Standards-Version to 4.1.1, debhelper level to 10

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Nov 2017 14:47:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9.0), python-all, python-wxgtk3.0
+Build-Depends: debhelper (>= 10), python-all, python-wxgtk3.0
 XS-Python-Version: all
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 
 Package: wxglade
 Architecture: all

## wxglade 0.8.0

=== debian/changelog ===
wxglade (0.8.0-1) unstable; urgency=medium

  * New upstream release. Closes: #894453
  * added vcs stuff in debian/control

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Apr 2018 20:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10), python-all, python-wxgtk3.0
 XS-Python-Version: all
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/georgesk/wxglade.git
+Vcs-Git: https://salsa.debian.org/georgesk/wxglade.git
 
 Package: wxglade
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,15 @@
 	# the installation is simplified drastically!
 	rm -f Makefile setup.py version.py
 	rm -rf wxGlade.egg-info .eggs
+	rm -f docs/html/_static/jquery.js docs/html/_static/underscore.js
 	dh_auto_clean
 
 override_dh_auto_test:
 	echo "not running the tests since the test tests/test_gui.py will fail"
 
 override_dh_auto_install:
+	ln -s underscore-1.3.1.js docs/html/_static/underscore.js
+	ln -s jquery-3.1.0.js docs/html/_static/jquery.js
 	echo "__version__ = '$(VERSION)'" > $(CURDIR)/version.py
 	dh_auto_install

## wxglade 0.8.3

=== debian/changelog ===
wxglade (0.8.3-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Switch to Python 3 / wxPython 4 (upstream recommended)

  [ Georges Khaznadar ]
  * fixed the entry Vcs-Git in d/control; updated Standards-Version to 4.2.1

 -- Scott Talbert <swt@techie.net>  Sat, 24 Nov 2018 20:40:19 -0500

wxglade (0.8.3-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Jul 2018 19:34:34 +0200

wxglade (0.8.0-2) unstable; urgency=medium

  * changed the file debian/docs to comply with "dpkg-buildpackage -A".
    Closes: #903344
  * upgraded Standards-Version to 4.1.5

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Jul 2018 10:26:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 VERSION = $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	# the installation is simplified drastically!

## wxglade 0.9.4

=== debian/changelog ===
wxglade (0.9.4-1) unstable; urgency=medium

  * new upstream version
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Nov 2019 13:24:24 +0100

=== debian/control ===
Source: wxglade
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 10), dh-python, python3-all
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/georgesk/wxglade.git
Vcs-Git: https://salsa.debian.org/georgesk/wxglade

Package: wxglade
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-wxgtk4.0
Conflicts: python-wxglade ( << 0.7.1-1)
Replaces: python-wxglade
Description:  GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++, Perl, Lisp and XRC
 (wxWidgets' XML resources) code.

## wxglade 0.9.5

=== debian/changelog ===
wxglade (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * updated debain patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Mar 2020 18:03:58 +0100

## wxglade 0.9.6

=== debian/changelog ===
wxglade (0.9.6-2) unstable; urgency=medium

  * removed Matthias Klose as uploader. Closes: #977267
  * updated Standards-Version: 4.5.1, debhelper-compat (= 13)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Dec 2020 17:38:15 +0100

wxglade (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jun 2020 17:58:01 +0200
